Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class AbstractDOMParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.AbstractDOMParser

All Implemented Interfaces:
  XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler

Direct Known Subclasses:
  DOMBuilderImpl, DOMParser

Deprecated. please use JDK supplied XML parsers and transformers

    public class AbstractDOMParser

extends AbstractXMLDocumentParser

This is the base class of all DOM parsers. It implements the XNI callback methods to create the DOM tree. After a successful parse of an XML document, the DOM Document object can be queried using the `getDocument` method. The actual pipeline is defined in parser configuration.

Field Summary
`protected static String` | `CORE_DOCUMENT_CLASS_NAME` Deprecated.
`protected static String` | `CREATE_CDATA_NODES_FEATURE` Deprecated. Feature id: create cdata nodes.
`protected static String` | `CREATE_ENTITY_REF_NODES` Deprecated. Feature id: create entity ref nodes.
`protected static String` | `CURRENT_ELEMENT_NODE` Deprecated.
`protected static String` | `DEFAULT_DOCUMENT_CLASS_NAME` Deprecated. Default document class name.
`protected static String` | `DEFER_NODE_EXPANSION` Deprecated. Feature id: defer node expansion.
`protected static String` | `DOCUMENT_CLASS_NAME` Deprecated. Property id: document class name.
`protected Stack` | `fBaseURIStack` Deprecated. Base uri stack
`protected boolean` | `fCreateCDATANodes` Deprecated. Create cdata nodes.
`protected boolean` | `fCreateEntityRefNodes` Deprecated. Create entity reference nodes.
`protected CDATASection` | `fCurrentCDATASection` Deprecated.
`protected int` | `fCurrentCDATASectionIndex` Deprecated.
`protected EntityImpl` | `fCurrentEntityDecl` Deprecated.
`protected Node` | `fCurrentNode` Deprecated. Current node.
`protected int` | `fCurrentNodeIndex` Deprecated.
`protected boolean` | `fDeferNodeExpansion` Deprecated.
`protected DeferredDocumentImpl` | `fDeferredDocumentImpl` Deprecated.
`protected int` | `fDeferredEntityDecl` Deprecated.
`protected Document` | `fDocument` Deprecated. The document.
`protected String` | `fDocumentClassName` Deprecated. The document class name to use.
`protected CoreDocumentImpl` | `fDocumentImpl` Deprecated. The default Xerces document implementation, if used.
`protected int` | `fDocumentIndex` Deprecated.
`protected DocumentType` | `fDocumentType` Deprecated. The document type node.
`protected int` | `fDocumentTypeIndex` Deprecated.
`protected DOMBuilderFilter` | `fDOMFilter` Deprecated.
`protected boolean` | `fFilterReject` Deprecated. DOMBuilderFilter: specifies that element with given QNAME and all its children must be rejected
`protected boolean` | `fFirstChunk` Deprecated. True if saw the first chunk of characters
`protected boolean` | `fInCDATASection` Deprecated. True if inside CDATA section.
`protected boolean` | `fIncludeComments` Deprecated. Include Comments.
`protected boolean` | `fIncludeIgnorableWhitespace` Deprecated. Include ignorable whitespace.
`protected boolean` | `fInDocument` Deprecated. True if inside document.
`protected boolean` | `fInDTD` Deprecated. True if inside DTD.
`protected boolean` | `fInDTDExternalSubset` Deprecated. True if inside DTD external subset.
`protected StringBuffer` | `fInternalSubset` Deprecated. Internal subset buffer.
`protected boolean` | `fNamespaceAware` Deprecated.
`protected boolean` | `fNormalizeData` Deprecated. Expose XML Schema schema_normalize_values via DOM
`protected QName` | `fRejectedElement` Deprecated. DOMBuilderFilter: the QNAME of rejected element
`protected Stack` | `fSkippedElemStack` Deprecated. DOMBuilderFilter: store qnames of skipped elements
`protected boolean` | `fStorePSVI` Deprecated. Whether to store PSVI information in DOM tree.
`protected StringBuffer` | `fStringBuffer` Deprecated. Character buffer
`protected static String` | `INCLUDE_COMMENTS_FEATURE` Deprecated. Feature id: include comments.
`protected static String` | `INCLUDE_IGNORABLE_WHITESPACE` Deprecated. Feature id: include ignorable whitespace.
`protected static String` | `NAMESPACES` Deprecated. Feature id: namespace.
`protected static String` | `NORMALIZE_DATA` Deprecated. Expose XML Schema normalize value
`protected static String` | `PSVI_DOCUMENT_CLASS_NAME` Deprecated.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`protected` | `AbstractDOMParser(XMLParserConfiguration config)` Deprecated. Default constructor.

Method Summary
`void` | `attributeDecl(String elementName, String attributeName, String type, String[] enumeration, String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augs)` Deprecated. An attribute declaration.
`void` | `characters(XMLString text, Augmentations augs)` Deprecated. Character content.
`void` | `comment(XMLString text, Augmentations augs)` Deprecated. A comment.
`protected Attr` | `createAttrNode(QName attrQName)` Deprecated.
`protected Element` | `createElementNode(QName element)` Deprecated.
`void` | `doctypeDecl(String rootElement, String publicId, String systemId, Augmentations augs)` Deprecated. Notifies of the presence of the DOCTYPE line in the document.
`void` | `elementDecl(String name, String contentModel, Augmentations augs)` Deprecated. An element declaration.
`void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augs)` Deprecated. An empty element.
`void` | `endAttlist(Augmentations augs)` Deprecated. The end of an attribute list.
`void` | `endCDATA(Augmentations augs)` Deprecated. The end of a CDATA section.
`void` | `endConditional(Augmentations augs)` Deprecated. The end of a conditional section.
`void` | `endDocument(Augmentations augs)` Deprecated. The end of the document.
`void` | `endDTD(Augmentations augs)` Deprecated. The end of the DTD.
`void` | `endElement(QName element, Augmentations augs)` Deprecated. The end of an element.
`void` | `endExternalSubset(Augmentations augs)` Deprecated. The end of the DTD external subset.
`void` | `endGeneralEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of a general entity.
`void` | `endParameterEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of a parameter entity.
`void` | `endPrefixMapping(String prefix, Augmentations augs)` Deprecated. The end of a namespace prefix mapping.
`void` | `externalEntityDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. An external entity declaration.
`Document` | `getDocument()` Deprecated. Returns the DOM document object.
`protected String` | `getDocumentClassName()` Deprecated. This method retreives the name of current document class.
`protected void` | `handleBaseURI(int node)` Deprecated. Record baseURI information for the Element (by adding xml:base attribute) or for the ProcessingInstruction (by setting a baseURI field) Deferred DOM.
`protected void` | `handleBaseURI(Node node)` Deprecated. Record baseURI information for the Element (by adding xml:base attribute) or for the ProcessingInstruction (by setting a baseURI field) Non deferred DOM.
`void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Deprecated. Ignorable whitespace.
`void` | `ignoredCharacters(XMLString text, Augmentations augs)` Deprecated. Characters within an IGNORE conditional section.
`void` | `internalEntityDecl(String name, XMLString text, XMLString nonNormalizedText, Augmentations augs)` Deprecated. An internal entity declaration.
`void` | `notationDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. A notation declaration
`void` | `processingInstruction(String target, XMLString data, Augmentations augs)` Deprecated. A processing instruction.
`void` | `reset()` Deprecated. Resets the parser state.
`protected void` | `setCharacterData(boolean sawChars)` Deprecated.
`protected void` | `setDocumentClassName(String documentClassName)` Deprecated. This method allows the programmer to decide which document factory to use when constructing the DOM tree.
`void` | `startAttlist(String elementName, Augmentations augs)` Deprecated. The start of an attribute list.
`void` | `startCDATA(Augmentations augs)` Deprecated. The start of a CDATA section.
`void` | `startConditional(short type, Augmentations augs)` Deprecated. The start of a conditional section.
`void` | `startDocument(XMLLocator locator, String encoding, Augmentations augs)` Deprecated. The start of the document.
`void` | `startDTD(XMLLocator locator, Augmentations augs)` Deprecated. The start of the DTD.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` Deprecated. The start of an element.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. The start of the DTD external subset.
`void` | `startGeneralEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies the start of a general entity.
`void` | `startParameterEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies of the start of a parameter entity.
`void` | `startPrefixMapping(String prefix, String uri, Augmentations augs)` Deprecated. The start of a namespace prefix mapping.
`void` | `textDecl(String version, String encoding, Augmentations augs)` Deprecated. Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(String name, XMLResourceIdentifier identifier, String notation, Augmentations augs)` Deprecated. An unparsed entity declaration.
`void` | `xmlDecl(String version, String encoding, String standalone, Augmentations augs)` Deprecated. Notifies of the presence of an XMLDecl line in the document.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, endContentModel, endGroup, getDocumentSource, occurrence, pcdata, separator, setDocumentSource, startContentModel, startGroup`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    protected static final String NAMESPACES

  Deprecated.
  Feature id: namespace.

  See Also:
    Constant Field Values

### CREATE_ENTITY_REF_NODES

    protected static final String CREATE_ENTITY_REF_NODES

  Deprecated.
  Feature id: create entity ref nodes.

  See Also:
    Constant Field Values

### INCLUDE_COMMENTS_FEATURE

    protected static final String INCLUDE_COMMENTS_FEATURE

  Deprecated.
  Feature id: include comments.

  See Also:
    Constant Field Values

### CREATE_CDATA_NODES_FEATURE

    protected static final String CREATE_CDATA_NODES_FEATURE

  Deprecated.
  Feature id: create cdata nodes.

  See Also:
    Constant Field Values

### INCLUDE_IGNORABLE_WHITESPACE

    protected static final String INCLUDE_IGNORABLE_WHITESPACE

  Deprecated.
  Feature id: include ignorable whitespace.

  See Also:
    Constant Field Values

### DEFER_NODE_EXPANSION

    protected static final String DEFER_NODE_EXPANSION

  Deprecated.
  Feature id: defer node expansion.

  See Also:
    Constant Field Values

### NORMALIZE_DATA

    protected static final String NORMALIZE_DATA

  Deprecated.
  Expose XML Schema normalize value

  See Also:
    Constant Field Values

### DOCUMENT_CLASS_NAME

    protected static final String DOCUMENT_CLASS_NAME

  Deprecated.
  Property id: document class name.

  See Also:
    Constant Field Values

### CURRENT_ELEMENT_NODE

    protected static final String CURRENT_ELEMENT_NODE

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_DOCUMENT_CLASS_NAME

    protected static final String DEFAULT_DOCUMENT_CLASS_NAME

  Deprecated.
  Default document class name.

  See Also:
    Constant Field Values

### CORE_DOCUMENT_CLASS_NAME

    protected static final String CORE_DOCUMENT_CLASS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### PSVI_DOCUMENT_CLASS_NAME

    protected static final String PSVI_DOCUMENT_CLASS_NAME

  Deprecated.
  See Also:
    Constant Field Values

### fInDTD

    protected boolean fInDTD

  Deprecated.
  True if inside DTD.

### fCreateEntityRefNodes

    protected boolean fCreateEntityRefNodes

  Deprecated.
  Create entity reference nodes.

### fIncludeIgnorableWhitespace

    protected boolean fIncludeIgnorableWhitespace

  Deprecated.
  Include ignorable whitespace.

### fIncludeComments

    protected boolean fIncludeComments

  Deprecated.
  Include Comments.

### fCreateCDATANodes

    protected boolean fCreateCDATANodes

  Deprecated.
  Create cdata nodes.

### fNormalizeData

    protected boolean fNormalizeData

  Deprecated.
  Expose XML Schema schema_normalize_values via DOM

### fDocument

    protected Document fDocument

  Deprecated.
  The document.

### fDocumentImpl

    protected CoreDocumentImpl fDocumentImpl

  Deprecated.
  The default Xerces document implementation, if used.

### fStorePSVI

    protected boolean fStorePSVI

  Deprecated.
  Whether to store PSVI information in DOM tree.

### fDocumentClassName

    protected String fDocumentClassName

  Deprecated.
  The document class name to use.

### fDocumentType

    protected DocumentType fDocumentType

  Deprecated.
  The document type node.

### fCurrentNode

    protected Node fCurrentNode

  Deprecated.
  Current node.

### fCurrentCDATASection

    protected CDATASection fCurrentCDATASection

  Deprecated.

### fCurrentEntityDecl

    protected EntityImpl fCurrentEntityDecl

  Deprecated.

### fDeferredEntityDecl

    protected int fDeferredEntityDecl

  Deprecated.

### fStringBuffer

    protected final StringBuffer fStringBuffer

  Deprecated.
  Character buffer

### fInternalSubset

    protected StringBuffer fInternalSubset

  Deprecated.
  Internal subset buffer.

### fDeferNodeExpansion

    protected boolean fDeferNodeExpansion

  Deprecated.

### fNamespaceAware

    protected boolean fNamespaceAware

  Deprecated.

### fDeferredDocumentImpl

    protected DeferredDocumentImpl fDeferredDocumentImpl

  Deprecated.

### fDocumentIndex

    protected int fDocumentIndex

  Deprecated.

### fDocumentTypeIndex

    protected int fDocumentTypeIndex

  Deprecated.

### fCurrentNodeIndex

    protected int fCurrentNodeIndex

  Deprecated.

### fCurrentCDATASectionIndex

    protected int fCurrentCDATASectionIndex

  Deprecated.

### fInDTDExternalSubset

    protected boolean fInDTDExternalSubset

  Deprecated.
  True if inside DTD external subset.

### fInDocument

    protected boolean fInDocument

  Deprecated.
  True if inside document.

### fInCDATASection

    protected boolean fInCDATASection

  Deprecated.
  True if inside CDATA section.

### fFirstChunk

    protected boolean fFirstChunk

  Deprecated.
  True if saw the first chunk of characters

### fFilterReject

    protected boolean fFilterReject

  Deprecated.
  DOMBuilderFilter: specifies that element with given QNAME and all its children must be rejected

### fBaseURIStack

    protected Stack fBaseURIStack

  Deprecated.
  Base uri stack

### fRejectedElement

    protected final QName fRejectedElement

  Deprecated.
  DOMBuilderFilter: the QNAME of rejected element

### fSkippedElemStack

    protected Stack fSkippedElemStack

  Deprecated.
  DOMBuilderFilter: store qnames of skipped elements

### fDOMFilter

    protected DOMBuilderFilter fDOMFilter

  Deprecated.

Constructor Detail

### AbstractDOMParser

    protected AbstractDOMParser(XMLParserConfiguration config)

  Deprecated.
  Default constructor.

Method Detail

### getDocumentClassName

    protected String getDocumentClassName()

  Deprecated.
  This method retreives the name of current document class.

### setDocumentClassName

    protected void setDocumentClassName(String documentClassName)

  Deprecated.
  This method allows the programmer to decide which document factory to use when constructing the DOM tree. However, doing so will lose the functionality of the default factory. Also, a document class other than the default will lose the ability to defer node expansion on the DOM tree produced.

  Parameters:
    `documentClassName` - The fully qualified class name of the document factory to use when constructing the DOM tree.
  See Also:
    `AbstractDOMParser.getDocumentClassName()`, `AbstractDOMParser.DEFAULT_DOCUMENT_CLASS_NAME`

### getDocument

    public Document getDocument()

  Deprecated.
  Returns the DOM document object.

### reset

    public void reset()
               throws XNIException

  Deprecated.
  Resets the parser state.

  Overrides:
    `reset` in class `AbstractXMLDocumentParser`
  Throws:
    `SAXException` - Thrown on initialization error.
    `XNIException`

### startGeneralEntity

    public void startGeneralEntity(String name,
                                   XMLResourceIdentifier identifier,
                                   String encoding,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies the start of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `startGeneralEntity` in interface `XMLDocumentHandler`
  Overrides:
    `startGeneralEntity` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the general entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    public void textDecl(String version,
                         String encoding,
                         Augmentations augs)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `textDecl` in interface `XMLDocumentHandler`
  Specified by:
    `textDecl` in interface `XMLDTDHandler`
  Overrides:
    `textDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  A comment.

  Specified by:
    `comment` in interface `XMLDocumentHandler`
  Specified by:
    `comment` in interface `XMLDTDHandler`
  Overrides:
    `comment` in class `AbstractXMLDocumentParser`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `XMLDocumentHandler`
  Specified by:
    `processingInstruction` in interface `XMLDTDHandler`
  Overrides:
    `processingInstruction` in class `AbstractXMLDocumentParser`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startDocument

    public void startDocument(XMLLocator locator,
                              String encoding,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  The start of the document.

  Specified by:
    `startDocument` in interface `XMLDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractXMLDocumentParser`
  Parameters:
    `locator` - The system identifier of the entity if the entity is external, null otherwise.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### xmlDecl

    public void xmlDecl(String version,
                        String encoding,
                        String standalone,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  Notifies of the presence of an XMLDecl line in the document. If present, this method will be called immediately following the startDocument call.

  Specified by:
    `xmlDecl` in interface `XMLDocumentHandler`
  Overrides:
    `xmlDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `version` - The XML version.
    `encoding` - The IANA encoding name of the document, or null if not specified.
    `standalone` - The standalone value, or null if not specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### doctypeDecl

    public void doctypeDecl(String rootElement,
                            String publicId,
                            String systemId,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  Notifies of the presence of the DOCTYPE line in the document.

  Specified by:
    `doctypeDecl` in interface `XMLDocumentHandler`
  Overrides:
    `doctypeDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `startPrefixMapping` in interface `XMLDocumentHandler`
  Overrides:
    `startPrefixMapping` in class `AbstractXMLDocumentParser`
  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endPrefixMapping

    public void endPrefixMapping(String prefix,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Specified by:
    `endPrefixMapping` in interface `XMLDocumentHandler`
  Overrides:
    `endPrefixMapping` in class `AbstractXMLDocumentParser`
  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startElement

    public void startElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.

  Specified by:
    `startElement` in interface `XMLDocumentHandler`
  Overrides:
    `startElement` in class `AbstractXMLDocumentParser`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### emptyElement

    public void emptyElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  An empty element.

  Specified by:
    `emptyElement` in interface `XMLDocumentHandler`
  Overrides:
    `emptyElement` in class `AbstractXMLDocumentParser`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### characters

    public void characters(XMLString text,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  Character content.

  Specified by:
    `characters` in interface `XMLDocumentHandler`
  Overrides:
    `characters` in class `AbstractXMLDocumentParser`
  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### ignorableWhitespace

    public void ignorableWhitespace(XMLString text,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Specified by:
    `ignorableWhitespace` in interface `XMLDocumentHandler`
  Overrides:
    `ignorableWhitespace` in class `AbstractXMLDocumentParser`
  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endElement

    public void endElement(QName element,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  The end of an element.

  Specified by:
    `endElement` in interface `XMLDocumentHandler`
  Overrides:
    `endElement` in class `AbstractXMLDocumentParser`
  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startCDATA

    public void startCDATA(Augmentations augs)
                    throws XNIException

  Deprecated.
  The start of a CDATA section.

  Specified by:
    `startCDATA` in interface `XMLDocumentHandler`
  Overrides:
    `startCDATA` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(Augmentations augs)
                  throws XNIException

  Deprecated.
  The end of a CDATA section.

  Specified by:
    `endCDATA` in interface `XMLDocumentHandler`
  Overrides:
    `endCDATA` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  Deprecated.
  The end of the document.

  Specified by:
    `endDocument` in interface `XMLDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endGeneralEntity

    public void endGeneralEntity(String name,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  This method notifies the end of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Specified by:
    `endGeneralEntity` in interface `XMLDocumentHandler`
  Overrides:
    `endGeneralEntity` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### handleBaseURI

    protected void handleBaseURI(Node node)

  Deprecated.
  Record baseURI information for the Element (by adding xml:base attribute) or for the ProcessingInstruction (by setting a baseURI field) Non deferred DOM.

  Parameters:
    `node` -

### handleBaseURI

    protected void handleBaseURI(int node)

  Deprecated.
  Record baseURI information for the Element (by adding xml:base attribute) or for the ProcessingInstruction (by setting a baseURI field) Deferred DOM.

  Parameters:
    `node` -

### startDTD

    public void startDTD(XMLLocator locator,
                         Augmentations augs)
                  throws XNIException

  Deprecated.
  The start of the DTD.

  Specified by:
    `startDTD` in interface `XMLDTDHandler`
  Overrides:
    `startDTD` in class `AbstractXMLDocumentParser`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augs)
                throws XNIException

  Deprecated.
  The end of the DTD.

  Specified by:
    `endDTD` in interface `XMLDTDHandler`
  Overrides:
    `endDTD` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  The start of a conditional section.

  Specified by:
    `startConditional` in interface `XMLDTDHandler`
  Overrides:
    `startConditional` in class `AbstractXMLDocumentParser`
  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### endConditional

    public void endConditional(Augmentations augs)
                        throws XNIException

  Deprecated.
  The end of a conditional section.

  Specified by:
    `endConditional` in interface `XMLDTDHandler`
  Overrides:
    `endConditional` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  The start of the DTD external subset.

  Specified by:
    `startExternalSubset` in interface `XMLDTDHandler`
  Overrides:
    `startExternalSubset` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
    `identifier` - The resource identifier.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augs)
                           throws XNIException

  Deprecated.
  The end of the DTD external subset.

  Specified by:
    `endExternalSubset` in interface `XMLDTDHandler`
  Overrides:
    `endExternalSubset` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An internal entity declaration.

  Specified by:
    `internalEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `internalEntityDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An external entity declaration.

  Specified by:
    `externalEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `externalEntityDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(String name,
                                     XMLResourceIdentifier identifier,
                                     String encoding,
                                     Augmentations augs)
                              throws XNIException

  Deprecated.
  This method notifies of the start of a parameter entity. The parameter entity name start with a '%' character.

  Specified by:
    `startParameterEntity` in interface `XMLDTDHandler`
  Overrides:
    `startParameterEntity` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(String name,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies the end of a parameter entity. Parameter entity names begin with a '%' character.

  Specified by:
    `endParameterEntity` in interface `XMLDTDHandler`
  Overrides:
    `endParameterEntity` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the parameter entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   String notation,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An unparsed entity declaration.

  Specified by:
    `unparsedEntityDecl` in interface `XMLDTDHandler`
  Overrides:
    `unparsedEntityDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this entity.
    `notation` - The name of the notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  A notation declaration

  Specified by:
    `notationDecl` in interface `XMLDTDHandler`
  Overrides:
    `notationDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### ignoredCharacters

    public void ignoredCharacters(XMLString text,
                                  Augmentations augs)
                           throws XNIException

  Deprecated.
  Characters within an IGNORE conditional section.

  Specified by:
    `ignoredCharacters` in interface `XMLDTDHandler`
  Overrides:
    `ignoredCharacters` in class `AbstractXMLDocumentParser`
  Parameters:
    `text` - The ignored text.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(String name,
                            String contentModel,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  An element declaration.

  Specified by:
    `elementDecl` in interface `XMLDTDHandler`
  Overrides:
    `elementDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(String elementName,
                              String attributeName,
                              String type,
                              String[] enumeration,
                              String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  An attribute declaration.

  Specified by:
    `attributeDecl` in interface `XMLDTDHandler`
  Overrides:
    `attributeDecl` in class `AbstractXMLDocumentParser`
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(String elementName,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  The start of an attribute list.

  Specified by:
    `startAttlist` in interface `XMLDTDHandler`
  Overrides:
    `startAttlist` in class `AbstractXMLDocumentParser`
  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(Augmentations augs)
                    throws XNIException

  Deprecated.
  The end of an attribute list.

  Specified by:
    `endAttlist` in interface `XMLDTDHandler`
  Overrides:
    `endAttlist` in class `AbstractXMLDocumentParser`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### createElementNode

    protected Element createElementNode(QName element)

  Deprecated.

### createAttrNode

    protected Attr createAttrNode(QName attrQName)

  Deprecated.

### setCharacterData

    protected void setCharacterData(boolean sawChars)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD